> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runmorph.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Event Type



## OpenAPI

````yaml get /v1/resources/schedulingEventType/{resourceId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers: []
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/resources/schedulingEventType/{resourceId}:
    get:
      tags:
        - Event Type
      summary: Retrieve Event Type
      parameters:
        - schema:
            type: string
          required: true
          name: resourceId
          in: path
        - schema:
            anyOf:
              - type: array
                items:
                  anyOf:
                    - type: string
                      enum:
                        - name
                        - status
                        - durations
                        - questions
                        - schedulingUrl
                        - slots
                        - owner
                    - type: string
              - type: string
          required: false
          name: fields
          in: query
        - schema:
            anyOf:
              - type: array
                items:
                  anyOf:
                    - type: string
                      enum:
                        - name
                        - status
                        - durations
                        - questions
                        - schedulingUrl
                        - slots
                        - owner
                    - type: string
              - type: string
          required: false
          name: expand
          in: query
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      object:
                        type: string
                        default: resource
                  - type: object
                    properties:
                      object:
                        type: string
                        enum:
                          - resource
                      model:
                        type: string
                      id:
                        type: string
                      fields:
                        type: object
                        properties:
                          name:
                            type: string
                            description: Name of the scheduling event type
                          status:
                            type: string
                            enum:
                              - active
                              - inactive
                            description: Status of the scheduling event type
                          durations:
                            type: array
                            items:
                              type: integer
                              minimum: 0
                            description: Available durations in minutes
                          questions:
                            type: array
                            items:
                              oneOf:
                                - type: object
                                  properties:
                                    key:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - text
                                    name:
                                      type: string
                                    required:
                                      type: boolean
                                    description:
                                      type: string
                                    default:
                                      type: string
                                  required:
                                    - key
                                    - type
                                    - name
                                    - required
                                - type: object
                                  properties:
                                    key:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - number
                                    name:
                                      type: string
                                    required:
                                      type: boolean
                                    description:
                                      type: string
                                    default:
                                      type: string
                                  required:
                                    - key
                                    - type
                                    - name
                                    - required
                                - type: object
                                  properties:
                                    key:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - select
                                    name:
                                      type: string
                                    required:
                                      type: boolean
                                    description:
                                      type: string
                                    options:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          value:
                                            type: string
                                          name:
                                            type: string
                                        required:
                                          - value
                                          - name
                                    default:
                                      type: string
                                  required:
                                    - key
                                    - type
                                    - name
                                    - required
                                    - options
                                - type: object
                                  properties:
                                    key:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - multiselect
                                    name:
                                      type: string
                                    required:
                                      type: boolean
                                    description:
                                      type: string
                                    options:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          value:
                                            type: string
                                          name:
                                            type: string
                                        required:
                                          - value
                                          - name
                                    default:
                                      type: string
                                  required:
                                    - key
                                    - type
                                    - name
                                    - required
                                    - options
                            description: Questions to ask when scheduling
                          schedulingUrl:
                            type: string
                            description: URL to schedule this event type
                          slots:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                object:
                                  type: string
                                  enum:
                                    - resourceRef
                                    - resource
                                model:
                                  type: string
                                fields:
                                  nullable: true
                                rawResource:
                                  nullable: true
                                remote:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                createdAt:
                                  type: string
                                updatedAt:
                                  type: string
                              required:
                                - id
                            description: Available slots for this event type
                          owner:
                            type: object
                            properties:
                              id:
                                type: string
                              object:
                                type: string
                                enum:
                                  - resourceRef
                                  - resource
                              model:
                                type: string
                              fields:
                                nullable: true
                              rawResource:
                                nullable: true
                              remote:
                                type: object
                                properties:
                                  id:
                                    type: string
                              createdAt:
                                type: string
                              updatedAt:
                                type: string
                            required:
                              - id
                            description: Owner of this scheduling event type
                        required:
                          - name
                          - status
                          - questions
                          - schedulingUrl
                        additionalProperties:
                          nullable: true
                      remote:
                        type: object
                        properties:
                          id:
                            type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      rawResource:
                        nullable: true
                      warnings:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            message:
                              type: string
                          required:
                            - code
                    required:
                      - object
                      - model
                      - id
                      - fields
                      - createdAt
                      - updatedAt
            application/jwt:
              schema:
                allOf:
                  - type: object
                    properties:
                      object:
                        type: string
                        default: resource
                  - type: object
                    properties:
                      object:
                        type: string
                        enum:
                          - resource
                      model:
                        type: string
                      id:
                        type: string
                      fields:
                        type: object
                        properties:
                          name:
                            type: string
                            description: Name of the scheduling event type
                          status:
                            type: string
                            enum:
                              - active
                              - inactive
                            description: Status of the scheduling event type
                          durations:
                            type: array
                            items:
                              type: integer
                              minimum: 0
                            description: Available durations in minutes
                          questions:
                            type: array
                            items:
                              oneOf:
                                - type: object
                                  properties:
                                    key:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - text
                                    name:
                                      type: string
                                    required:
                                      type: boolean
                                    description:
                                      type: string
                                    default:
                                      type: string
                                  required:
                                    - key
                                    - type
                                    - name
                                    - required
                                - type: object
                                  properties:
                                    key:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - number
                                    name:
                                      type: string
                                    required:
                                      type: boolean
                                    description:
                                      type: string
                                    default:
                                      type: string
                                  required:
                                    - key
                                    - type
                                    - name
                                    - required
                                - type: object
                                  properties:
                                    key:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - select
                                    name:
                                      type: string
                                    required:
                                      type: boolean
                                    description:
                                      type: string
                                    options:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          value:
                                            type: string
                                          name:
                                            type: string
                                        required:
                                          - value
                                          - name
                                    default:
                                      type: string
                                  required:
                                    - key
                                    - type
                                    - name
                                    - required
                                    - options
                                - type: object
                                  properties:
                                    key:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - multiselect
                                    name:
                                      type: string
                                    required:
                                      type: boolean
                                    description:
                                      type: string
                                    options:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          value:
                                            type: string
                                          name:
                                            type: string
                                        required:
                                          - value
                                          - name
                                    default:
                                      type: string
                                  required:
                                    - key
                                    - type
                                    - name
                                    - required
                                    - options
                            description: Questions to ask when scheduling
                          schedulingUrl:
                            type: string
                            description: URL to schedule this event type
                          slots:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                object:
                                  type: string
                                  enum:
                                    - resourceRef
                                    - resource
                                model:
                                  type: string
                                fields:
                                  nullable: true
                                rawResource:
                                  nullable: true
                                remote:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                createdAt:
                                  type: string
                                updatedAt:
                                  type: string
                              required:
                                - id
                            description: Available slots for this event type
                          owner:
                            type: object
                            properties:
                              id:
                                type: string
                              object:
                                type: string
                                enum:
                                  - resourceRef
                                  - resource
                              model:
                                type: string
                              fields:
                                nullable: true
                              rawResource:
                                nullable: true
                              remote:
                                type: object
                                properties:
                                  id:
                                    type: string
                              createdAt:
                                type: string
                              updatedAt:
                                type: string
                            required:
                              - id
                            description: Owner of this scheduling event type
                        required:
                          - name
                          - status
                          - questions
                          - schedulingUrl
                        additionalProperties:
                          nullable: true
                      remote:
                        type: object
                        properties:
                          id:
                            type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      rawResource:
                        nullable: true
                      warnings:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            message:
                              type: string
                          required:
                            - code
                    required:
                      - object
                      - model
                      - id
                      - fields
                      - createdAt
                      - updatedAt
            text/plain:
              schema:
                allOf:
                  - type: object
                    properties:
                      object:
                        type: string
                        default: resource
                  - type: object
                    properties:
                      object:
                        type: string
                        enum:
                          - resource
                      model:
                        type: string
                      id:
                        type: string
                      fields:
                        type: object
                        properties:
                          name:
                            type: string
                            description: Name of the scheduling event type
                          status:
                            type: string
                            enum:
                              - active
                              - inactive
                            description: Status of the scheduling event type
                          durations:
                            type: array
                            items:
                              type: integer
                              minimum: 0
                            description: Available durations in minutes
                          questions:
                            type: array
                            items:
                              oneOf:
                                - type: object
                                  properties:
                                    key:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - text
                                    name:
                                      type: string
                                    required:
                                      type: boolean
                                    description:
                                      type: string
                                    default:
                                      type: string
                                  required:
                                    - key
                                    - type
                                    - name
                                    - required
                                - type: object
                                  properties:
                                    key:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - number
                                    name:
                                      type: string
                                    required:
                                      type: boolean
                                    description:
                                      type: string
                                    default:
                                      type: string
                                  required:
                                    - key
                                    - type
                                    - name
                                    - required
                                - type: object
                                  properties:
                                    key:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - select
                                    name:
                                      type: string
                                    required:
                                      type: boolean
                                    description:
                                      type: string
                                    options:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          value:
                                            type: string
                                          name:
                                            type: string
                                        required:
                                          - value
                                          - name
                                    default:
                                      type: string
                                  required:
                                    - key
                                    - type
                                    - name
                                    - required
                                    - options
                                - type: object
                                  properties:
                                    key:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - multiselect
                                    name:
                                      type: string
                                    required:
                                      type: boolean
                                    description:
                                      type: string
                                    options:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          value:
                                            type: string
                                          name:
                                            type: string
                                        required:
                                          - value
                                          - name
                                    default:
                                      type: string
                                  required:
                                    - key
                                    - type
                                    - name
                                    - required
                                    - options
                            description: Questions to ask when scheduling
                          schedulingUrl:
                            type: string
                            description: URL to schedule this event type
                          slots:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                object:
                                  type: string
                                  enum:
                                    - resourceRef
                                    - resource
                                model:
                                  type: string
                                fields:
                                  nullable: true
                                rawResource:
                                  nullable: true
                                remote:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                createdAt:
                                  type: string
                                updatedAt:
                                  type: string
                              required:
                                - id
                            description: Available slots for this event type
                          owner:
                            type: object
                            properties:
                              id:
                                type: string
                              object:
                                type: string
                                enum:
                                  - resourceRef
                                  - resource
                              model:
                                type: string
                              fields:
                                nullable: true
                              rawResource:
                                nullable: true
                              remote:
                                type: object
                                properties:
                                  id:
                                    type: string
                              createdAt:
                                type: string
                              updatedAt:
                                type: string
                            required:
                              - id
                            description: Owner of this scheduling event type
                        required:
                          - name
                          - status
                          - questions
                          - schedulingUrl
                        additionalProperties:
                          nullable: true
                      remote:
                        type: object
                        properties:
                          id:
                            type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      rawResource:
                        nullable: true
                      warnings:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            message:
                              type: string
                          required:
                            - code
                    required:
                      - object
                      - model
                      - id
                      - fields
                      - createdAt
                      - updatedAt
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - MORPH::BAD_REQUEST
                      - MORPH::BAD_CONFIGURATION
                      - MORPH::UNKNOWN_ERROR
                      - MORPH::ADAPTER::CONNECTION_NOT_FOUND
                      - MORPH::ADAPTER::AUTHORIZATION_DATA_INVALID
                      - MORPH::SESSION::EXPIRED
                      - MORPH::SESSION::TOKEN_VALIDATION_FAILED
                      - >-
                        MORPH::CONNECTION::MISSING_REQUIRED_AUTHORIZATION_SETTINGS
                      - MORPH::CONNECTION::AUTH_TYPE_NOT_SUPPORTED
                      - MORPH::CONNECTION::AUTHORIZATION_NOT_FOUND
                      - MORPH::CONNECTION::AUTHORIZATION_RETRIEVE_FAILED
                      - MORPH::CONNECTION::ACCESS_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESH_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESHING_TOKEN_FAILED
                      - MORPH::CONNECTION::CREATION_FAILED
                      - MORPH::CONNECTION::UPDATE_FAILED
                      - MORPH::CONNECTION::NOT_FOUND
                      - MORPH::CONNECTION::RETRIEVE_FAILED
                      - MORPH::CONNECTION::DELETION_FAILED
                      - MORPH::CONNECTION::PROXY::REQUEST_FAILED
                      - MORPH::CONNECTION::PROXY::BAD_REQUEST
                      - MORPH::CONNECTION::PROXY::UNAUTHORIZED
                      - MORPH::CONNECTION::PROXY::FORBIDDEN
                      - MORPH::CONNECTION::PROXY::NOT_FOUND
                      - MORPH::CONNECTION::PROXY::RATE_LIMIT_EXCEEDED
                      - MORPH::CONNECTION::PROXY::SERVER_ERROR
                      - CONNECTOR::NOT_FOUND
                      - CONNECTOR::OPERATION::NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::FIELD_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::BAD_REQUEST
                      - CONNECTOR::OPERATION::SERVER_ERROR
                      - CONNECTOR::RESOURCE_MODEL::NOT_FOUND
                      - CONNECTOR::MAPPER::READ_VALIDATION_FAILED
                      - CONNECTOR::MAPPER::READ_FAILED
                      - CONNECTOR::UNKNOWN_ERROR
                      - CONNECTOR::BAD_CONFIGURATION
                      - CONNECTOR::WEBHOOK::SUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::UNSUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::VALIDATION_FAILED
                      - CONNECTOR::WEBHOOK::MAPPER_FAILED
                      - CONNECTOR::WEBHOOKS_NOT_SUPPORTED
                      - WEBHOOK::NOT_FOUND
                      - ADAPTER::WEBHOOK::CREATE_FAILED
                      - ADAPTER::WEBHOOK::RETRIEVE_FAILED
                      - ADAPTER::WEBHOOK::DELETE_FAILED
                  message:
                    type: string
                    default: ''
                required:
                  - error
            application/jwt:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - MORPH::BAD_REQUEST
                      - MORPH::BAD_CONFIGURATION
                      - MORPH::UNKNOWN_ERROR
                      - MORPH::ADAPTER::CONNECTION_NOT_FOUND
                      - MORPH::ADAPTER::AUTHORIZATION_DATA_INVALID
                      - MORPH::SESSION::EXPIRED
                      - MORPH::SESSION::TOKEN_VALIDATION_FAILED
                      - >-
                        MORPH::CONNECTION::MISSING_REQUIRED_AUTHORIZATION_SETTINGS
                      - MORPH::CONNECTION::AUTH_TYPE_NOT_SUPPORTED
                      - MORPH::CONNECTION::AUTHORIZATION_NOT_FOUND
                      - MORPH::CONNECTION::AUTHORIZATION_RETRIEVE_FAILED
                      - MORPH::CONNECTION::ACCESS_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESH_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESHING_TOKEN_FAILED
                      - MORPH::CONNECTION::CREATION_FAILED
                      - MORPH::CONNECTION::UPDATE_FAILED
                      - MORPH::CONNECTION::NOT_FOUND
                      - MORPH::CONNECTION::RETRIEVE_FAILED
                      - MORPH::CONNECTION::DELETION_FAILED
                      - MORPH::CONNECTION::PROXY::REQUEST_FAILED
                      - MORPH::CONNECTION::PROXY::BAD_REQUEST
                      - MORPH::CONNECTION::PROXY::UNAUTHORIZED
                      - MORPH::CONNECTION::PROXY::FORBIDDEN
                      - MORPH::CONNECTION::PROXY::NOT_FOUND
                      - MORPH::CONNECTION::PROXY::RATE_LIMIT_EXCEEDED
                      - MORPH::CONNECTION::PROXY::SERVER_ERROR
                      - CONNECTOR::NOT_FOUND
                      - CONNECTOR::OPERATION::NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::FIELD_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::BAD_REQUEST
                      - CONNECTOR::OPERATION::SERVER_ERROR
                      - CONNECTOR::RESOURCE_MODEL::NOT_FOUND
                      - CONNECTOR::MAPPER::READ_VALIDATION_FAILED
                      - CONNECTOR::MAPPER::READ_FAILED
                      - CONNECTOR::UNKNOWN_ERROR
                      - CONNECTOR::BAD_CONFIGURATION
                      - CONNECTOR::WEBHOOK::SUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::UNSUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::VALIDATION_FAILED
                      - CONNECTOR::WEBHOOK::MAPPER_FAILED
                      - CONNECTOR::WEBHOOKS_NOT_SUPPORTED
                      - WEBHOOK::NOT_FOUND
                      - ADAPTER::WEBHOOK::CREATE_FAILED
                      - ADAPTER::WEBHOOK::RETRIEVE_FAILED
                      - ADAPTER::WEBHOOK::DELETE_FAILED
                  message:
                    type: string
                    default: ''
                required:
                  - error
            text/plain:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - MORPH::BAD_REQUEST
                      - MORPH::BAD_CONFIGURATION
                      - MORPH::UNKNOWN_ERROR
                      - MORPH::ADAPTER::CONNECTION_NOT_FOUND
                      - MORPH::ADAPTER::AUTHORIZATION_DATA_INVALID
                      - MORPH::SESSION::EXPIRED
                      - MORPH::SESSION::TOKEN_VALIDATION_FAILED
                      - >-
                        MORPH::CONNECTION::MISSING_REQUIRED_AUTHORIZATION_SETTINGS
                      - MORPH::CONNECTION::AUTH_TYPE_NOT_SUPPORTED
                      - MORPH::CONNECTION::AUTHORIZATION_NOT_FOUND
                      - MORPH::CONNECTION::AUTHORIZATION_RETRIEVE_FAILED
                      - MORPH::CONNECTION::ACCESS_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESH_TOKEN_MISSIN
                      - MORPH::CONNECTION::REFRESHING_TOKEN_FAILED
                      - MORPH::CONNECTION::CREATION_FAILED
                      - MORPH::CONNECTION::UPDATE_FAILED
                      - MORPH::CONNECTION::NOT_FOUND
                      - MORPH::CONNECTION::RETRIEVE_FAILED
                      - MORPH::CONNECTION::DELETION_FAILED
                      - MORPH::CONNECTION::PROXY::REQUEST_FAILED
                      - MORPH::CONNECTION::PROXY::BAD_REQUEST
                      - MORPH::CONNECTION::PROXY::UNAUTHORIZED
                      - MORPH::CONNECTION::PROXY::FORBIDDEN
                      - MORPH::CONNECTION::PROXY::NOT_FOUND
                      - MORPH::CONNECTION::PROXY::RATE_LIMIT_EXCEEDED
                      - MORPH::CONNECTION::PROXY::SERVER_ERROR
                      - CONNECTOR::NOT_FOUND
                      - CONNECTOR::OPERATION::NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_NOT_FOUND
                      - CONNECTOR::OPERATION::RESOURCE_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::FIELD_ALREADY_EXISTS
                      - CONNECTOR::OPERATION::BAD_REQUEST
                      - CONNECTOR::OPERATION::SERVER_ERROR
                      - CONNECTOR::RESOURCE_MODEL::NOT_FOUND
                      - CONNECTOR::MAPPER::READ_VALIDATION_FAILED
                      - CONNECTOR::MAPPER::READ_FAILED
                      - CONNECTOR::UNKNOWN_ERROR
                      - CONNECTOR::BAD_CONFIGURATION
                      - CONNECTOR::WEBHOOK::SUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::UNSUBSCRIPTION_FAILED
                      - CONNECTOR::WEBHOOK::VALIDATION_FAILED
                      - CONNECTOR::WEBHOOK::MAPPER_FAILED
                      - CONNECTOR::WEBHOOKS_NOT_SUPPORTED
                      - WEBHOOK::NOT_FOUND
                      - ADAPTER::WEBHOOK::CREATE_FAILED
                      - ADAPTER::WEBHOOK::RETRIEVE_FAILED
                      - ADAPTER::WEBHOOK::DELETE_FAILED
                  message:
                    type: string
                    default: ''
                required:
                  - error
      security:
        - ApiKeyAuth: []
          ApiSecretAuth: []
          ConnectorId: []
          OwnerId: []
          SessionToken: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
    ApiSecretAuth:
      type: apiKey
      in: header
      name: x-api-secret
    ConnectorId:
      type: apiKey
      in: header
      name: x-connector-id
    OwnerId:
      type: apiKey
      in: header
      name: x-owner-id
    SessionToken:
      type: apiKey
      in: header
      name: x-session-token

````